"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const commitTransaction = async pool => {
  await pool.rdsDataService.commitTransaction({
    resourceArn: pool.dbClusterOrInstanceArn,
    secretArn: pool.awsSecretStoreArn,
    transactionId: pool.transactionId
  }).promise();
  pool.transactionId = null;
};

var _default = commitTransaction;
exports.default = _default;
//# sourceMappingURL=commit-transaction.js.map